import React from 'react';
import { Props, Variant } from './Text.types';
export declare const placeholderNormalization: import("styled-components").FlattenInterpolation<import("styled-components").ThemedStyledProps<Pick<Props, "disabled" | "variant">, import("styled-components").DefaultTheme>>;
declare const components: {
    Input: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<HTMLInputElement>>, import("styled-components").DefaultTheme, {
        type: any;
    } & Partial<Props>, "type">;
    AddonBox: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<{
        sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    } & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
        className?: string | undefined;
    } & {
        children?: React.ReactNode;
        as?: any;
    } & React.RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
        position?: "left" | "right" | undefined;
        variant?: Variant | undefined;
    }, never>;
};
declare const TextComponent: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLInputElement>>;
export declare const Text: typeof TextComponent & {
    components?: typeof components;
};
export {};
